package ${domain}.action.ajax.wsys;

import ${domain}.frame.auth.LocalData;
import ${domain}.module.wsys.mgr.SequenceManager;
import ${domain}.module.wsys.req.SequenceNextRequest;
import ${domain}.module.wsys.req.SequenceRamHexRequest;
import ${domain}.module.wsys.rsp.SequenceNextResponse;
import ${domain}.module.wsys.rsp.SequenceRamHexResponse;
import org.springframework.beans.factory.annotation.Autowired;

public class SequenceAjax {

    @Autowired
    private SequenceManager sequenceManager;

    public SequenceNextResponse next(SequenceNextRequest request) {
        return sequenceManager.next(request, LocalData.getToken());
    }

    public SequenceRamHexResponse ramHex(SequenceRamHexRequest request) {
        return sequenceManager.ramHex(request, LocalData.getToken());
    }
}
