package ${domain}.frame.schedule;


import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;

import java.util.Date;
import java.util.concurrent.ScheduledFuture;

/**
 * 抽象任务
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-01-01
 */
public abstract class RunTask implements Runnable {

    public abstract String taskId();

    public String taskName(){
        return  "";
    }

    public String taskNote(){
        return  "";
    }

    public abstract ScheduledFuture<?> schedule(ThreadPoolTaskScheduler poolTaskScheduler);

    public void configChange(ThreadPoolTaskScheduler scheduler) {
        ScheduledFuture<?> schedule = scheduler.schedule(this, new Date());
        if (!schedule.cancel(true)) {

        }
    }
}
