package ${domain}.module.wsys.mgr;

import ${domain}.frame.auth.Token;
import ${domain}.module.wsys.req.SequenceFindRequest;
import ${domain}.module.wsys.req.SequenceNextRequest;
import ${domain}.module.wsys.req.SequenceRamHexRequest;
import ${domain}.module.wsys.rsp.SequenceFindResponse;
import ${domain}.module.wsys.rsp.SequenceNextResponse;
import ${domain}.module.wsys.rsp.SequenceRamHexResponse;

/**
 * 序列
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public interface SequenceManager {

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceFindResponse find(SequenceFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceNextResponse next(SequenceNextRequest request, Token token);

    /**
     * 获得HEX序列
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceRamHexResponse ramHex(SequenceRamHexRequest request, Token token);
}
