package ${domain}.module.wsys.req;

import org.hibernate.validator.constraints.Length;
import ${domain}.frame.base.BaseUpdateRequest;
import ${domain}.frame.validation.Select;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * LogerrUpdateRequest - 错误日志更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-07-06
 */
public class LogerrUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 日志状态.
     */
    @NotNull(message = "[logState]日志状态不能为NULL")
    @Select({"0", "1", "2"})
    private String logState;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLogState() {
        return this.logState;
    }

    public void setLogState(String logState) {
        this.logState = logState;
    }
}
