package ${domain}.module.wsys.req;

import ${domain}.frame.base.BaseRequest;

/**
 * SequenceNextRequest - 序列获取
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class SequenceRamHexRequest extends BaseRequest {

    /**
     * 序列号前缀
     */
    private String prefix;

    /**
     * 序列号后缀
     */
    private String suffix;

    /**
     * 序列长
     */
    private int size = 6;

    /**
     * 是否转大写
     */
    private boolean upperCase;

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public boolean isUpperCase() {
        return upperCase;
    }

    public void setUpperCase(boolean upperCase) {
        this.upperCase = upperCase;
    }
}
