-- ----------------------------
-- Table structure for VISITOR_RES - 应用资源关系
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-07-11
-- ----------------------------
CREATE TABLE "SYS_VISITOR_RES" (
    "ID" NUMBER(19) NOT NULL,
    "APP_ID" NUMBER(19) NULL,
    "APP_KEY" VARCHAR2(50) NULL,
    "RES_ID" NUMBER(19) NULL,
    "RES_CODE" VARCHAR2(50) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_VISITOR_RES" is '应用资源关系';
COMMENT ON COLUMN "SYS_VISITOR_RES"."ID" is '主键';
COMMENT ON COLUMN "SYS_VISITOR_RES"."APP_ID" is '应用主键';
COMMENT ON COLUMN "SYS_VISITOR_RES"."APP_KEY" is '应用码';
COMMENT ON COLUMN "SYS_VISITOR_RES"."RES_ID" is '资源主键';
COMMENT ON COLUMN "SYS_VISITOR_RES"."RES_CODE" is '资源代码';
COMMENT ON COLUMN "SYS_VISITOR_RES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_VISITOR_RES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_VISITOR_RES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_VISITOR_RES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_VISITOR_RES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_VISITOR_RES"."LAST_UPDATE_TIME" is '最后更新时间';
